Create a Machine/Instance Type association
Associate a Machine to an Instance Type
Org must have an Infrastructure Provider entity that owns the Instance Type and the Machine. User must have authorization role with PROVIDER_ADMIN suffix.
Each capability specified by the Instance Type must have a matching capability on the Machine. Specified fields—including count, cores, and threads—require exact equality; omitted or null optional fields impose no constraint. The Machine may have additional capabilities that the Instance Type does not specify.
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
org
Name of the Org
instanceTypeId
ID of the Instance Type
Request
This endpoint expects an object.
machineIds
ID of the Machine
Response
Created
machineId
ID of the associated Machine
instanceTypeId
ID of the associated Instance Type
deprecations
Deprecations active for this resource. Returned only if there are active deprecations.
created
Date and time the Machine Instance Type was created
updated
Date and time the Machine Instance Type was last updated
Errors
400
Bad Request Error
403
Forbidden Error